#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Web Account Book
# Copyright (c) 2002-2007,2010 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/


# 予算 (列) の削除

require "pcview"
require APP_ROOT + "/models/budget_detail"


class BudgetsDestroy < Wafu::Action
  def execute af
    budget = Budget.find :first,
               :conditions => ["user_id = ? AND id = ?", app.user.id, af["id"]]
    raise ArgumentError if !budget

    bday = Date.parse af["b"]
    eday = Date.parse af["e"]

    budget.destroy
    app.set_flash "notice", "予算 (列) を削除しました。"
    app.redirect_to "budgets-list.rb", :action => "view", 
                         :b => bday, :e => eday
  end
end


(PCView.new :actions => {
  "*" => [Wafu::ActionForm, BudgetsDestroy, nil]
 } ).run
