#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Web Account Book
# Copyright (c) 2002-2007,2010 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/

# 勘定科目一覧および説明

require "pcview.rb"
require APP_ROOT + '/models/account_title'

class TitlesPopupList < Wafu::Action
  def execute af
    @groups = []
    AccountTitle::ACTYPE_NAMES.each_with_index do |type_name, i|
      next if !type_name

      group = {
        :name => type_name,
        :titles => AccountTitle.find(:all, 
                        :conditions => ['user_id = ? AND ac_type = ?', 
                                        app.user.id, i ],
                        :order => "sort")
      }
      @groups << group
    end 
    
    render "titles-popup-list"
  end
end


(PCView.new "actions" => {"*" => [nil, TitlesPopupList, nil]}).run
