#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# 仕訳帳（仕訳の一覧表示）

require 'ostruct'
require "pcview.rb"


# 仕訳帳（期間選択）
class JournalsList < Wafu::Action
  def execute af
    from, to = UserSetting.get_ac_month(app.user)

    @term = OpenStruct.new({
      :from => from,
      :to => [to, Date.today].max
    })

    render 'journals-list'
  end
end


PCView.new('actions' => {
  '*' => [nil, JournalsList, nil]
}).run
