#!/home/netsphere/bin/ruby
# -*- mode:ruby; coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2007 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require "pcview.rb"
require "closing-common.rb"
require "pl2.rb"
require APP_ROOT + '/models/user_setting'


class WelcomeForm < Wafu::Action
  def execute(af)
    model = {
      :long_name => @app.user.name,
      :mod_form => Amrita::SanitizedString[set_closing_day_form(@app.user)]
    }
    @app.page_out("welcome1.html", model)
  end
end

class Form < PCView
  def main()
    raise ArgumentError, "user invalid: '#{user}'" if user == ""

    setting_finished = user.user_setting && 
      user.user_setting.opening_date ? true : false

    if !setting_finished
      # 初めてのアクセス
      action = WelcomeForm.new(self)
      action.execute(nil)
    else
=begin
      ary = Array.new
      if FileTest.exist?(FilePath.tmp_journal(user))
        File.open(FilePath.tmp_journal(user), "r") {|fp|
          fp.flock(File::LOCK_SH)
          while line = fp.gets
            r = MobTempDisbursement.parse(line.gsub(/[\r\n]/, ''))
            ary << r
          end
        }
      end

      if ary.size > 0
        # 携帯電話で入力した伝票があるとき
        action = Tmp2PermForm.new(self)
        action.slip_ary = ary
        action.execute(nil)
      else
=end
      redirect_to 'menu.rb'
      # action = MenuForm.new(self)
      # action.execute(nil)
    #  end
    end
  end
end

run(Form.new)
