#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2009 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/

# 取引先（支払先）の編集

require "pcview.rb"
require APP_ROOT + '/models/partner'
require APP_ROOT + '/models/account_title'

# 編集画面
class PartnersEdit < Wafu::Action
  def execute(af)
    @partner = Partner.find(:first, 
                            :conditions => ['id = ? AND user_id = ?',
                                            af['id'], app.user.id])
    render 'partners-edit'
  end
end

# 更新
class PartnersUpdate < Wafu::Action
  def execute af
    @partner = Partner.find(:first, 
                            :conditions => ['id = ? AND user_id = ?', 
                                            af['id'], app.user.id])
    if @partner.update_attributes(af['partner'])
      app.set_flash "notice", "取引先は更新されました。"
      app.redirect_to "partners-list.rb"
    else
      render 'partners-edit'
    end
  end
end

if __FILE__ == $0
  PCView.new('actions' => {
    '*' => [Wafu::ActionForm, PartnersEdit, nil],
    'update' => [Wafu::ActionForm, PartnersUpdate, nil]
  }).run
end

