#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2009 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/

# 新しい取引先（支払先）

require "pcview.rb"
require APP_ROOT + '/models/partner'
require APP_ROOT + '/models/account_title'


class PartnersNew < Wafu::Action
  def execute(af)
    @partner = Partner.new 
    render 'partners-new'
  end
end

# 作成
class PartnersCreate < Wafu::Action
  def execute af
    @partner = Partner.new(af['partner'])
    @partner.user_id = app.user.id
    if @partner.save
      app.set_flash "notice", "取引先を登録しました。"
      app.redirect_to "partners-list.rb"
    else
      render 'partners-new'
    end
  end
end


if __FILE__ == $0
  PCView.new('actions' => {
    '*' => [nil, PartnersNew, nil],
    'create' => [Wafu::ActionForm, PartnersCreate, nil]
  }).run
end

