#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Web Account Book
# Copyright (c) 2002-2007,2010 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/

# 勘定科目の編集

require './titles-common.rb'


# 勘定科目の削除 
class TitlesDestroy < Wafu::Action
  def execute af
    item = AccountTitle.find :first, 
              :conditions => ["user_id = ? AND id = ?", app.user.id, af["id"] ]
    raise if !item
                                
    item.destroy

    app.set_flash "notice", "科目「#{item.name}」を削除しました。"
    app.set_redirect "titles.rb"
  end
end


PCView.new('actions' => {
  "*" => [Wafu::ActionForm, TitlesDestroy, EditForm],
}).run()
