#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2009 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/

# 特殊な勘定科目の設定

require "pcview.rb"
require APP_ROOT + '/models/account_title'


class TitlesSpecial < Wafu::Action
  def execute(af)
    @user_setting = UserSetting.find(app.user.id)
    render 'titles-special'
  end
end

# 更新
class TitlesSpecialUpdate < Wafu::Action
  def execute af
    @unappropriated = AccountTitle.find_item af['unappropriated'], app.user
    @payable = AccountTitle.find_item af['payable'], app.user

    user_setting = UserSetting.find(app.user.id)
    user_setting.attributes = {
      :unappropriated_item => @unappropriated.id,
      :payable_item => @payable.id
    }

    user_setting.save!
    app.set_flash "notice", "勘定科目の設定を更新しました。"
    app.redirect_to "titles.rb"
  end
end


if __FILE__ == $0
  PCView.new('actions' => {
    '*' => [nil, TitlesSpecial, nil],
    'update' => [Wafu::ActionForm, TitlesSpecialUpdate, nil]
  }).run
end

