-- -*- coding:utf-8 -*-
-- メールアドレスの履歴
CREATE TABLE email_logs (
  id        serial PRIMARY KEY,
  user_id   int NOT NULL REFERENCES users(id),
  sent_at   TIMESTAMP NOT NULL,
  email     VARCHAR(40) NOT NULL,
  -- digestは、SHA256で作る
  digest    VARCHAR(64) UNIQUE  -- 確認用のランダムな値。確認できたらこの列は削除する。
);
