# -*- mode:ruby; coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require APP_ROOT + '/models/user_setting'

# render結果を返す
def set_closing_day_form(user)
  day = 31
  if user.user_setting && user.user_setting.closing_day
    day = user.user_setting.closing_day
  end

  return <<EOF
<table class="frm">
  <tr><th>月末日：<td>#{menu_control("day", (1..31), day)} 日
  <tr><td colspan="2" align="center"><input type="submit" value="設定">
</table>
EOF
end
