#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2009 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/

# 請求書 (AP) の表示

require "pcview.rb"
require APP_ROOT + '/models/invoice'
require APP_ROOT + '/models/account_title'
require APP_ROOT + '/models/journal_entry'
require APP_ROOT + '/models/payment_amount'
require LIBRARY_DIR + '/datesup.rb'


# 請求書の詳細
class InvoicesShow < Wafu::Action
  def execute af
    @invoice = Invoice.find :first,
               :conditions => ['user_id = ? AND id = ?', app.user.id, af['id']]
    raise if !@invoice

    @period = app.user.user_setting.get_addable_period

    render 'invoices-show'
  end
end

PCView.new('actions' => {
             '*' => [Wafu::ActionForm, InvoicesShow, nil]
           }).run
