#!/home/netsphere/bin/ruby

# Q's Account Book
# Copyright (c) 2002-2008 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# 携帯用　元帳


require '../mobile_app.rb'
require APP_ROOT + '/models/account_title'
require APP_ROOT + '/models/journal_entry'

class LedgerIndex < MobileAction
  def options_for ary, default = nil
    result = ""
    ary.each {|name, v|
      selected = default && v == default ? " selected" : ""
      result << "<option#{selected} value=\"#{v}\">#{name}</option>"
    }
    return Amrita::SanitizedString[result]
  end

  def execute af
    today = Date.today
    model = {
      :y => options_for(((today.year - 2)..today.year).collect {|y| [y, y]},
                        today.year),
      :m => options_for((1..12).collect {|m| [m, m]}, today.mon),
      :d => options_for((1..31).collect {|d| [d, d]}, today.day),
      :aclist => get_sel_viewable_items(app.user, "code", nil)
    }
    app.page_out("ledger-index.html", model)
  end
end


MobileApp.new('actions' => {
  '*' => [nil, LedgerIndex, nil],
}).run

