#!/home/netsphere/bin/ruby
# -*- mode:ruby; coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2007 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require "pcview.rb"
require "closing-common.rb"
require "pl2.rb"
require APP_ROOT + '/models/user_setting'


class MenuForm < Wafu::Action
  def execute(af)
    begin_date = nil; end_date = nil
    begin_date, end_date = UserSetting.get_ac_month(app.user)
    end_date = [end_date, Date.today].max

    fs = FSTemplate.new(app.user, begin_date, end_date)

    model = {
      :username => CGI.escapeHTML(app.user.name),
      :pl_mod => Amrita::SanitizedString[fs.pl()],
      :notice => app.get_flash("notice")
    }
    app.page_out("menu.html", model)
  end
end

PCView.new('actions' => {
             '*' => [nil, MenuForm, nil]
           }).run
