#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2009 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/

# 取引先（支払先）の削除

require "pcview.rb"
require APP_ROOT + '/models/partner'
require APP_ROOT + '/models/account_title'


# 削除
class PartnersDelete < Wafu::Action
  def execute af
    partner = Partner.find(:first, 
                           :conditions => ['id = ? AND user_id = ?', 
                                           af['id'], app.user.id])
    s = "取引先 #{partner.name} は、削除されました。"
    partner.destroy
    app.set_flash "notice", s
    app.redirect_to AppConfig[:site_top_url] + "partners-list.rb"
  end
end

if __FILE__ == $0
  PCView.new('actions' => {
    '*' => [Wafu::ActionForm, PartnersDelete, nil],
  }).run
end

