#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Web Account Book
# Copyright (c) 2002-2007,2010 HORIKAWA Hisashi. All rights reserved.
#   http://www.nslabs.jp/


# 勘定科目の一覧

require "pcview.rb"
require APP_ROOT + '/models/account_title'


class Form < Wafu::Action
  def execute af
    # 非activeも含めて
    ac_titles = AccountTitle.find(:all, 
                                  :conditions => ['user_id = ?', app.user.id],
                                  :order => 'ac_type, sort')

    @grp = []

    gr = nil
    ac_titles.each {|item|
      if !gr || item.ac_type != gr[:ac_type]
        gr = {
          :aclist => [],
          :ac_type => item.ac_type
        }
        @grp << gr
      end

      gr[:aclist] << item
    }

    render "titles-list", :layout => "application"
  end
end


(PCView.new :actions => {
  "*" => [Wafu::ActionForm, Form, nil]
} ).run
