
# ユーザを削除する
# ログインIDを引数で指定

def main
  login = ARGV.shift
  u = User.find_by_login login
  raise if !u

  cond = {:conditions => ['user_id = ?', u.id]}
  User.transaction {
    p UserSetting.find :all, cond
    p AccountTitle.find :all, cond
    p JournalEntry.find :all, cond
    p Budget.find :all, cond
    p Partner.find :all, cond
    p EmailLog.find :all, cond
    p Invoice.find :all, cond
    p Payment.find :all, cond
  }
end
